Subject: [Bier] draft-hfa-bier-pim-tunneling, P-BFER discovery

From: IJsbrand Wijnands <[email-masked]>
Date: Thu, 3 Aug 2017 15:30:27 +0200

Hi Hooman,

I’ve a comment on the following text:

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Section 3.1:

The procedure to find the P-BFER (BFER from PIM signaling point of
   view) can be via 2 mechanism and is beyond the scope of this draft.

   1.The P-BFER can be an ABR or ASBR router which is summarizing the
     route to the source, and as such is the source of this route.

   2.The P-BFER can be resolved via SPF calculation and finding the
     first BFIR in the path the source.

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Discovery of the P-BFER is a critical part of the solution that you should not declare outside the scope an deserves a bit more explanation. 

With option 1, you can not assume that the P-BFER is summarising the route to the source. Using the “source” of the route implicitly as the P-BFER is tricky. I believe the source is mostly used for informational purposes, not for routing decisions. What happens if the core is composed of multiple IGP areas, does it still work? I agree option 1 could work, but it is very restrictive to a particular deployment.

Option 2 seems more generic. I think what you are saying is that using the full SPF path you select the last BFR on the path as the P-BFER? Today the routing underlay that BIER uses does not require exposure to the full SPF path, just the next-hop. Also, this probably does not work when the core is using multiple IGP areas.

Thx,

Ice.